<template>
  <v-navigation-drawer v-model="open" right temporary fixed>
    <v-list>
      <v-list-item
        v-for="(item, i) in items"
        :key="i"
        :to="item.to"
        router
      >
        <v-list-item-action>
          <v-icon>{{ item.icon }}</v-icon>
        </v-list-item-action>
        <v-list-item-content>
          <v-list-item-title v-text="item.title" />
        </v-list-item-content>
      </v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>

<script>
export default {
  props: [
    // 右ナビゲーションが表示されているかどうか
    'drawer',
  ],
  data () {
    return {
      // メニュー
      items: [
        {
          icon: 'mdi-finance',
          title: 'チャート表示',
          to: '/'
        },
        {
          icon: 'mdi-pencil',
          title: 'データ入力',
          to: '/input'
        },
        {
          icon: 'mdi-help-circle-outline',
          title: 'このアプリについて',
          to: '/about'
        }
      ],
    }
  },
  computed: {
    open: {
      get () {
        return this.$props.drawer
      },
      set (value) {
        this.$emit('change', value)
      }
    }
  }
}
</script>
